import { Selector, t } from "testcafe";
import { isElementVisible } from "../utils/testUtils";


export default class ChargebeeModal {
  constructor() {
    this.iFrame = Selector(`#cb-frame`);
    this.header = Selector(`#cb-header`);
  }

  async verifyChargebeeModalIsLaunched() {
    await t.wait(5000);
    await t
      .expect(await isElementVisible(this.iFrame))
      .ok("Chargebee iFrame doesn't exist or it isn't visible");
    await t.switchToIframe(this.iFrame);
    await t.expect(this.header.visible).ok("Chargebee header is not visible");
  }
}
