import { Selector, t } from "testcafe";
import {
  isElementVisible
} from "../utils/testUtils";

export default class DashboardPage {
  constructor() {
    this.pageTitle = Selector(`[data-qa-id="page-title"]`);
    this.signUpToEcobeeAirFilters = Selector(
      `button[title="Sign up to ecobee Air Filters"]`
    );
  }

  async pageIsLoaded() {
    await t
      .expect(await isElementVisible(this.pageTitle))
      .ok("Page title doesn't exist or it isn't visible");
  }

  async clickOnSignupToAirFilters() {
    await t.wait(5000);
    await t
      .hover(this.signUpToEcobeeAirFilters)
      .click(this.signUpToEcobeeAirFilters);
  }
}
