import { Selector, t } from "testcafe";
import { getCurrentURL, isElementVisible } from "../utils/testUtils";

export default class MiniValuePropPage {
  constructor() {
    this.subscriptionIcon = Selector(`[data-qa-id="subscription-icon"]`);
    this.signUpNowBtn = Selector(`[data-qa-id="mini-value-prop-button"]`);
    this.valuePropPath = `/filters`;
  }

  async pageIsLoaded() {
    await t
      .expect(getCurrentURL())
      .contains(
        this.valuePropPath,
        `The current url doesn't contain: ${this.valuePropPath}`
      );
    await t
      .expect(await isElementVisible(this.subscriptionIcon))
      .ok("Subscripiton icon doesn't exist or it isn't visible");
  }

  async clickOnSignUpNow() {
    await t.click(this.signUpNowBtn);
  }
}
