import { Selector, t } from "testcafe";
import { getCurrentURL, isElementVisible } from "../utils/testUtils";

export default class QualityPage {
  constructor() {
    this.pageTitle = Selector(`[data-qa-id="page-title"]`);
    this.basicBtn = Selector(`#filter-quality-Basic-btn`);
    this.qualityPath = `/quality`;
  }

  async pageIsLoaded() {
    await t
      .expect(await getCurrentURL())
      .contains(
        this.qualityPath,
        `The current url doesn't contain: ${this.qualityPath}`
      );

    await t
      .expect(await isElementVisible(this.pageTitle))
      .ok("Page title doesn't exist or it isn't visible");
  }

  async selectBasicQuality() {
    await t.click(this.basicBtn);
  }
}
