import { Selector, t } from "testcafe";
import { getCurrentURL, isElementVisible } from "../utils/testUtils";

export default class ReviewPage {
  constructor() {
    this.pageTitle = Selector(`[data-qa-id="page-title"]`);
    this.checkoutBtn = Selector(`[data-qa-id="filter-proceed-to-checkout"]`);
    this.reviewPath = `/filters/review`;
  }

  async pageIsLoaded() {
    await t
      .expect(getCurrentURL())
      .contains(
        this.reviewPath,
        `The current url doesn't contain: ${this.reviewPath}`
      );
    await t
      .expect(await isElementVisible(this.pageTitle))
      .ok("Page title doesn't exist or it isn't visible");
  }

  async clickOnCheckoutBtn() {
    await t.click(this.checkoutBtn);
  }
}
