import { Selector, t } from "testcafe";
import { getCurrentURL, isElementVisible } from "../utils/testUtils";

export default class SchedulePage {
  constructor() {
    this.pageTitle = Selector(`[data-qa-id="page-title"]`);
    this.scheduleBtn = Selector(`[data-qa-id="new-schedule"]`);
    this.schedulePath = `/schedule`;
  }

  async pageIsLoaded() {
    await t
      .expect(getCurrentURL())
      .contains(
        this.schedulePath,
        `The current url doesn't contain: ${this.schedulePath}`
      );
    await t
      .expect(await isElementVisible(this.pageTitle))
      .ok("Page title doesn't exists or it isn't visible");
  }

  async selectSchedule() {
    await t.click(this.scheduleBtn);
  }
}
