import DashboardPage from "../pages/dashboardPage";
import LoginPage from "../pages/loginPage";
import QualityPage from "../pages/qualityPage";
import SchedulePage from "../pages/schedulePage";
import SizePage from "../pages/sizePage";
import ReviewPage from "../pages/reviewPage";
import ChargebeeModal from "../pages/chargebeeModal";
import MiniValuePropPage from "../pages/miniValuePropPage";

const qualityPage = new QualityPage();
const schedulePage = new SchedulePage();
const sizePage = new SizePage();
const reviewPage = new ReviewPage();
const chargebeeModal = new ChargebeeModal();
const loginPage = new LoginPage();
const dashboardPage = new DashboardPage();
const miniValuePropPage = new MiniValuePropPage();

fixture`My tests`.page("https://subscribe.ecobee.com");

test('Airfilter Sign up Test', async t => {
  const email = "ecobeetestaccount@ecobee.com";
  const password = "ecobee2020";
  const filterSizeNumber = "1";
  const filterLength = ["20"];
  const filterWidth = ["20"];
  const filterThickness = ["1"];

  await loginPage.pageIsLoaded();
  await loginPage.fillOutWebLogin(email, password);

  await dashboardPage.pageIsLoaded();
  await dashboardPage.clickOnSignupToAirFilters();

  await miniValuePropPage.pageIsLoaded();
  await miniValuePropPage.clickOnSignUpNow();

  await qualityPage.pageIsLoaded();
  await qualityPage.selectBasicQuality();

  await sizePage.pageIsLoaded();
  await sizePage.selectOneTwoInchFilterSize(
    filterSizeNumber,
    filterLength,
    filterWidth,
    filterThickness
  );
  await sizePage.clickConfirmSizeQuantity();

  await schedulePage.pageIsLoaded();
  await schedulePage.selectSchedule();

  await reviewPage.pageIsLoaded();
  await reviewPage.clickOnCheckoutBtn();

  await chargebeeModal.verifyChargebeeModalIsLaunched();
});
