import { ClientFunction } from "testcafe";

// A test cafe client function that when called returns the current browser URL
export const getCurrentURL = ClientFunction(() =>
  document.location.href.toString()
);

// Checks if a provided element exists and is visible to the user
export async function isElementVisible(element) {
  const visibilityStatus = (await element.exists) && (await element.visible);
  return visibilityStatus;
}
